# wresize 3x

    wresize(3x)                                                 wresize(3x)

## NAME

           wresize - resize a curses window

## SYNOPSIS

           #include <curses.h>

           int wresize(WINDOW *win, int lines, int columns);

## DESCRIPTION

           This  is  an  extension to the curses library.  It reallo-
           cates storage for an ncurses window to adjust  its  dimen-
           sions  to  the  specified  values.  If either dimension is
           larger than the  current  values,  the  window's  data  is
           filled with blanks that have the current background rendi-
           tion (as set by wbkgdset) merged into them.

## RETURN VALUE

           The function returns the integer ERR upon failure  and  OK
           on success.  It will fail if either of the dimensions less
           than or equal  to  zero,  or  if  an  error  occurs  while
           (re)allocating memory for the window.

## NOTES

           The only restriction placed on the dimensions is that they
           be greater than zero.  The dimensions are not compared  to
           curses   screen   dimensions  to  simplify  the  logic  of
           resizeterm.  The caller  must  ensure  that  the  window's
           dimensions fit within the actual screen dimensions.

## SEE ALSO

           resizeterm(3x).

## AUTHOR

           Thomas Dickey (from an equivalent function written in 1988
           for BSD curses).

                                                                wresize(3x)